	SUBROUTINE ASSIGN (LEVEL, NBLINE, J)
	DOUBLE PRECISION	NAME
	DIMENSION	NBLINE(6), NBTEMP(8)
C
	IF (LEVEL .NE. 1) GO TO 100
	OPEN (UNIT=1, DEVICE='TTY')
	RETURN
C
  100	JJ = J
C
C LIMIT CHARS IN FILENAME TO SIX
C
	IF (JJ .GT. 6) JJ = 6
	DO 10 I=1,JJ
   10	   NBTEMP(I) = NBLINE(I)
C
C APPEND DOT TO FILENAME (NULL EXTENSION)
C
	NBTEMP(JJ+1) = '.'
	JJ = JJ+2
C
C PAD OUT WITH BLANKS
C
	DO 20 I=JJ,8
   20	   NBTEMP(I) = ' '
C
	ENCODE (10, 901, NAME) NBTEMP
  901	FORMAT (8A1,2X)
C
	OPEN (UNIT=LEVEL, DEVICE='DSK', FILE=NAME, ACCESS='SEQIN')
	RETURN
	END
